<template functional>
  <article
    :ref="data.ref"
    class="flex flex-col justify-start items-stretch w-full"
    :class="[
      { 'p-4 bg-brown-100 shadow-lg': props.id > 0 },
      data.class,
      data.staticClass,
    ]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <!-- Card Image -->
    <div v-if="props.cardImage" class="h-56">
      <g-image
        :src="props.cardImage.image"
        :alt="props.cardImage.description"
        class="h-full w-full object-center object-cover"
      />
    </div>

    <!-- Card Content -->
    <div v-if="props.cardContent" class="pt-4">
      <header v-if="props.cardContent.title">
        <h3 class="h4">
          {{ props.cardContent.title }}
        </h3>
      </header>
      <div class="markdown" v-html="props.cardContent.text" />
    </div>
  </article>
</template>

<script>
export default {
  name: 'MediaObjectCard',
  props: {
    id: { type: Number, default: 0 },
    cardImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    cardContent: {
      type: Object,
      default: () => ({ title: undefined, text: undefined }),
    },
  },
};
</script>
